%define version_oct6114_032 1.07.01
%define version_oct6114_064 1.05.01
%define version_oct6114_128 1.05.01
%define version_oct6114_256 1.05.01
%define version_tc400m MR6.12
%define version_vpmoct032 1.12.0
%define version_hx8 2.06
%define version_te820 1.76
%define version_oct6126_128 01.07.04
%define version_vpmadt032 1.07

%define version_a4a a0017
%define version_a4a_build 1
%define version_a4b d001e
%define version_a4b_build 1
%define version_a8a 1d0017
%define version_a8a_build 1
%define version_a8b 1f001e
%define version_a8b_build 1
%define version_te133 7a001e
%define version_te133_build 1
%define version_te134 780017
%define version_te134_build 1
%define version_te435 13001e
%define version_te435_build 1
%define version_te436 10017
%define version_te436_build 1

Summary: Firmware files for DAHDI
Name: dahdi-firmware
Epoch: 1
Version: 2.9.5
Release: 1%{dist}
License: GPL
Group: Utilities/System
#Source: %{name}-sources-%{aversion}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
URL: http://www.asterisk.org
Packager: Bryan Walters <bwalters@sangoma.com>
BuildRequires: wget
Requires: %{name}-oct6114-032 = %{epoch}:%{version_oct6114_032}
Requires: %{name}-oct6114-064 = %{epoch}:%{version_oct6114_064}
Requires: %{name}-oct6114-128 = %{epoch}:%{version_oct6114_128}
Requires: %{name}-oct6114-256 = %{epoch}:%{version_oct6114_256}
Requires: %{name}-tc400m = %{epoch}:%{version_tc400m}
Requires: %{name}-vpmoct032 = %{epoch}:%{version_vpmoct032}
Requires: %{name}-vpmadt032 = %{epoch}:%{version_vpmadt032}
Requires: %{name}-hx8 = %{epoch}:%{version_hx8}
Requires: %{name}-te820 = %{epoch}:%{version_te820}
Requires: %{name}-oct6126-128 = %{epoch}:%{version_oct6126_128}
Requires: %{name}-a4a = %{epoch}:%{version_a4a_build}.%{version_a4a}
Requires: %{name}-a4b = %{epoch}:%{version_a4b_build}.%{version_a4b}
Requires: %{name}-a8a = %{epoch}:%{version_a8a_build}.%{version_a8a}
Requires: %{name}-a8b = %{epoch}:%{version_a8b_build}.%{version_a8b}
Requires: %{name}-te133 = %{epoch}:%{version_te133_build}.%{version_te133}
Requires: %{name}-te134 = %{epoch}:%{version_te134_build}.%{version_te134}
Requires: %{name}-te435 = %{epoch}:%{version_te435_build}.%{version_te435}
Requires: %{name}-te436 = %{epoch}:%{version_te436_build}.%{version_te436}

%description
Firmware for the open source DAHDI project

%package oct6114-032
Version: %{version_oct6114_032}
Summary: Firmware for oct6114-032
Group: Utilities/System

%package oct6114-064
Version: %{version_oct6114_064}
Summary: Firmware for oct6114-064
Group: Utilities/System

%package oct6114-128
Version: %{version_oct6114_128}
Summary: Firmware for oct6114-128
Group: Utilities/System

%package oct6114-256
Version: %{version_oct6114_256}
Summary: Firmware for oct6114-256
Group: Utilities/System

%package tc400m
Version: %{version_tc400m}
Summary: Firmware for tc400m
Group: Utilities/System

%package vpmoct032
Version: %{version_vpmoct032}
Summary: Firmware for vpmoct032
Group: Utilities/System

%package vpmadt032
Version: %{version_vpmadt032}
Summary: Firmware for vpmadt032
Group: Utilities/System

%package hx8
Version: %{version_hx8}
Summary: Firmware for hx8
Group: Utilities/System

%package te820
Version: %{version_te820}
Summary: Firmware for te820
Group: Utilities/System

%package oct6126-128
Version: %{version_oct6126_128}
Summary: Firmware for oct6126-128
Group: Utilities/System

%package a4a
Version: %{version_a4a_build}.%{version_a4a}
Summary: Firmware for a4a
Group: Utilities/System

%package a4b
Version: %{version_a4b_build}.%{version_a4b}
Summary: Firmware for a4b
Group: Utilities/System

%package a8a
Version: %{version_a8a_build}.%{version_a8a}
Summary: Firmware for a8a
Group: Utilities/System

%package a8b
Version: %{version_a8b_build}.%{version_a8b}
Summary: Firmware for a8b
Group: Utilities/System

%package te133
Version: %{version_te133_build}.%{version_te133}
Summary: Firmware for te133
Group: Utilities/System

%package te134
Version: %{version_te134_build}.%{version_te134}
Summary: Firmware for te134
Group: Utilities/System

%package te435
Version: %{version_te435_build}.%{version_te435}
Summary: Firmware for te435
Group: Utilities/System

%package te436
Version: %{version_te436_build}.%{version_te436}
Summary: Firmware for te436
Group: Utilities/System

%description oct6114-032
This package contains firmware for oct6114-032

%description oct6114-064
This package contains firmware for oct6114-064

%description oct6114-128
This package contains firmware for oct6114-128

%description oct6114-256
This package contains firmware for oct6114-256

%description tc400m
This package contains firmware for tc400m

%description vpmoct032
This package contains firmware for vpmoct032

%description vpmadt032
This package contains firmware for vpmadt032

%description hx8
This package contains firmware for hx8

%description te820
This package contains firmware for te820

%description oct6126-128
This package contains firmware for oct6126-128

%description a4a
This package contains firmware for a4a

%description a4b
This package contains firmware for a4b

%description a8a
This package contains firmware for a8a

%description a8b
This package contains firmware for a8b

%description te133
This package contains firmware for te133

%description te134
This package contains firmware for te134

%description te435
This package contains firmware for te435

%description te436
This package contains firmware for te436

# HACK!  Need to redefine version, because...it does stupid things.
#%define version %{actversion}

%prep
wget -c http://downloads.openvox.cn/pub/firmwares/opvx-dahdi-fw-oct6114-032-%{version_oct6114_032}.tar.gz
wget -c http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-oct6114-064-%{version_oct6114_064}.tar.gz
wget -c http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-oct6114-128-%{version_oct6114_128}.tar.gz
wget -c http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-oct6114-256-%{version_oct6114_256}.tar.gz
wget -c http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-tc400m-%{version_tc400m}.tar.gz
wget -c http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-vpmoct032-%{version_vpmoct032}.tar.gz
wget -c http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-vpmadt032-%{version_vpmadt032}.tar.gz
wget -c http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-hx8-%{version_hx8}.tar.gz
wget -c http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-te820-%{version_te820}.tar.gz
wget -c http://www.allo.com/firmware/pri-card/OCT6-LEC-128.tar.gz
wget -c http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-a4a-%{version_a4a}.tar.gz
wget -c http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-a4b-%{version_a4b}.tar.gz
wget -c http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-a8a-%{version_a8a}.tar.gz
wget -c http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-a8b-%{version_a8b}.tar.gz
wget -c http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-te133-%{version_te133}.tar.gz
wget -c http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-te134-%{version_te134}.tar.gz
wget -c http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-te435-%{version_te435}.tar.gz
wget -c http://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-te436-%{version_te436}.tar.gz


%build

%install
mkdir -p $RPM_BUILD_ROOT/lib/firmware/

tar xof OCT6-LEC-128.tar.gz -C $RPM_BUILD_ROOT/lib/firmware/
rm -rf $RPM_BUILD_ROOT/lib/firmware/dahdi-fw-oct6114-128.bin
touch $RPM_BUILD_ROOT/lib/firmware/.dahdi-fw-oct6126-128-%{version_oct6126_128}

tar xof opvx-dahdi-fw-oct6114-032-%{version_oct6114_032}.tar.gz -C $RPM_BUILD_ROOT/lib/firmware/
touch $RPM_BUILD_ROOT/lib/firmware/.dahdi-fw-oct6114-032-%{version_oct6114_032}

tar xof dahdi-fw-oct6114-064-%{version_oct6114_064}.tar.gz -C $RPM_BUILD_ROOT/lib/firmware/
touch $RPM_BUILD_ROOT/lib/firmware/.dahdi-fw-oct6114-064-%{version_oct6114_064}

tar xof dahdi-fw-oct6114-128-%{version_oct6114_128}.tar.gz -C $RPM_BUILD_ROOT/lib/firmware/
touch $RPM_BUILD_ROOT/lib/firmware/.dahdi-fw-oct6114-128-%{version_oct6114_128}

tar xof dahdi-fw-oct6114-256-%{version_oct6114_256}.tar.gz -C $RPM_BUILD_ROOT/lib/firmware/
touch $RPM_BUILD_ROOT/lib/firmware/.dahdi-fw-oct6114-256-%{version_oct6114_256}

tar xof dahdi-fw-tc400m-%{version_tc400m}.tar.gz -C $RPM_BUILD_ROOT/lib/firmware/
touch $RPM_BUILD_ROOT/lib/firmware/.dahdi-fw-tc400m-%{version_tc400m}

tar xof dahdi-fw-vpmoct032-%{version_vpmoct032}.tar.gz -C $RPM_BUILD_ROOT/lib/firmware/
touch $RPM_BUILD_ROOT/lib/firmware/.dahdi-fw-vpmoct032-%{version_vpmoct032}

tar xof dahdi-fw-vpmadt032-%{version_vpmadt032}.tar.gz -C $RPM_BUILD_ROOT/lib/firmware/
touch $RPM_BUILD_ROOT/lib/firmware/.dahdi-fw-vpmadt032-%{version_vpmadt032}


tar xof dahdi-fw-hx8-%{version_hx8}.tar.gz -C $RPM_BUILD_ROOT/lib/firmware/
touch $RPM_BUILD_ROOT/lib/firmware/.dahdi-fw-hx8-%{version_hx8}

tar xof dahdi-fw-te820-%{version_te820}.tar.gz -C $RPM_BUILD_ROOT/lib/firmware/
touch $RPM_BUILD_ROOT/lib/firmware/.dahdi-fw-te820-%{version_te820}

tar xof dahdi-fw-a4a-%{version_a4a}.tar.gz -C $RPM_BUILD_ROOT/lib/firmware/
touch $RPM_BUILD_ROOT/lib/firmware/.dahdi-fw-a4a-%{version_a4a}

tar xof dahdi-fw-a4b-%{version_a4b}.tar.gz -C $RPM_BUILD_ROOT/lib/firmware/
touch $RPM_BUILD_ROOT/lib/firmware/.dahdi-fw-a4b-%{version_a4b}

tar xof dahdi-fw-a8a-%{version_a8a}.tar.gz -C $RPM_BUILD_ROOT/lib/firmware/
touch $RPM_BUILD_ROOT/lib/firmware/.dahdi-fw-a8a-%{version_a8a}

tar xof dahdi-fw-a8b-%{version_a8b}.tar.gz -C $RPM_BUILD_ROOT/lib/firmware/
touch $RPM_BUILD_ROOT/lib/firmware/.dahdi-fw-a8b-%{version_a8b}

tar xof dahdi-fw-te133-%{version_te133}.tar.gz -C $RPM_BUILD_ROOT/lib/firmware/
touch $RPM_BUILD_ROOT/lib/firmware/.dahdi-fw-te133-%{version_te133}

tar xof dahdi-fw-te134-%{version_te134}.tar.gz -C $RPM_BUILD_ROOT/lib/firmware/
touch $RPM_BUILD_ROOT/lib/firmware/.dahdi-fw-te134-%{version_te134}

tar xof dahdi-fw-te435-%{version_te435}.tar.gz -C $RPM_BUILD_ROOT/lib/firmware/
touch $RPM_BUILD_ROOT/lib/firmware/.dahdi-fw-te435-%{version_te435}

tar xof dahdi-fw-te436-%{version_te436}.tar.gz -C $RPM_BUILD_ROOT/lib/firmware/
touch $RPM_BUILD_ROOT/lib/firmware/.dahdi-fw-te436-%{version_te436}

%clean
cd $RPM_BUILD_DIR
%{__rm} -rf %{name}-%{version}
%{__rm} -rf /var/log/%{name}-sources-%{version}-%{release}.make.err
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%files oct6114-032
%defattr(-, root, root)
/lib/firmware/dahdi-fw-oct6114-032.bin
/lib/firmware/.dahdi-fw-oct6114-032-%{version_oct6114_032}

%files oct6114-064
%defattr(-, root, root)
/lib/firmware/dahdi-fw-oct6114-064.bin
/lib/firmware/.dahdi-fw-oct6114-064-%{version_oct6114_064}

%files oct6114-128
%defattr(-, root, root)
/lib/firmware/dahdi-fw-oct6114-128.bin
/lib/firmware/.dahdi-fw-oct6114-128-%{version_oct6114_128}

%files oct6114-256
%defattr(-, root, root)
/lib/firmware/dahdi-fw-oct6114-256.bin
/lib/firmware/.dahdi-fw-oct6114-256-%{version_oct6114_256}

%files tc400m
%defattr(-, root, root)
/lib/firmware/dahdi-fw-tc400m.bin
/lib/firmware/.dahdi-fw-tc400m-%{version_tc400m}

%files vpmoct032
%defattr(-, root, root)
/lib/firmware/.dahdi-fw-vpmoct032-%{version_vpmoct032}
/lib/firmware/dahdi-fw-vpmoct032.bin

%files vpmadt032
%defattr(-, root, root)
/lib/firmware/.dahdi-fw-vpmadt032-%{version_vpmadt032}
/lib/firmware/dahdi-fw-vpmadt032.bin

%files hx8
%defattr(-, root, root)
/lib/firmware/.dahdi-fw-hx8-%{version_hx8}
/lib/firmware/dahdi-fw-hx8.bin

%files te820
%defattr(-, root, root)
/lib/firmware/.dahdi-fw-te820-%{version_te820}
/lib/firmware/dahdi-fw-te820.bin

%files oct6126-128
%defattr(-, root, root)
/lib/firmware/.dahdi-fw-oct6126-128-%{version_oct6126_128}
/lib/firmware/OCT6126E-128D.ima

%files a4a
%defattr(-, root, root)
/lib/firmware/.dahdi-fw-a4a-%{version_a4a}
/lib/firmware/dahdi-fw-a4a.bin

%files a4b
%defattr(-, root, root)
/lib/firmware/.dahdi-fw-a4b-%{version_a4b}
/lib/firmware/dahdi-fw-a4b.bin

%files a8a
%defattr(-, root, root)
/lib/firmware/.dahdi-fw-a8a-%{version_a8a}
/lib/firmware/dahdi-fw-a8a.bin

%files a8b
%defattr(-, root, root)
/lib/firmware/.dahdi-fw-a8b-%{version_a8b}
/lib/firmware/dahdi-fw-a8b.bin

%files te133
%defattr(-, root, root)
/lib/firmware/.dahdi-fw-te133-%{version_te133}
/lib/firmware/dahdi-fw-te133.bin

%files te134
%defattr(-, root, root)
/lib/firmware/.dahdi-fw-te134-%{version_te134}
/lib/firmware/dahdi-fw-te134.bin

%files te435
%defattr(-, root, root)
/lib/firmware/.dahdi-fw-te435-%{version_te435}
/lib/firmware/dahdi-fw-te435.bin

%files te436
%defattr(-, root, root)
/lib/firmware/.dahdi-fw-te436-%{version_te436}
/lib/firmware/dahdi-fw-te436.bin
